
Figure - Bug #118112
IOVDEV-29405【VC1】【0095】【台架】【EE环境】【副屏】【通知】QQ应用通知优先级大于Android通知
2023-05-19 17:58 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-19

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.C103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-23

Test Type: User Experience Root cause: 功能未实现。

Description

【环境信息】：EE环境

【问题出现时间】：20230519 14：18,第38次开机

https://ofs.human-horizons.com/#/download/index/59hiXlDMgJ0%3D

【前提条件】：已安装QQ

【操作步骤】：1.配对连接蓝牙鼠标（鼠标名称为Maus@LOFREE）

2、QQ收到消息通知

3.下滑打开通知中心查看

【实际结果】

1、QQ应用通知优先级大于Android通知

2、Android通知显示“配置实体键盘”

【期望结果】

1、“安卓系统”通知>白名单信息通知/系统自身应用通知>其他应用通知

2、连接鼠标，不应出现配置键盘

【备注】：

【QQ版本】：8.9.55

【硬件版本号】：/

【副屏版本号】：01.00.0095.C103

【中控版本号】：03.02.0080.C101.03_userdebug_2305121121

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-05-19 19:17 - CDTS-TEST 周婷

- Category set to CD-FW

#2 - 2023-05-19 20:29 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 当前的状态

通知没有按优先级的顺序显示

■ 下一步计划

调整显示的优先级
#3 - 2023-05-22 10:11 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

涛哥，排序的地方可以看下下面这块内容

http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/frameworks/base/packages/SystemUI/src/com/android/syste

mui/statusbar/notification/NotificationEntryManager.java#888

#4 - 2023-05-22 19:20 - CD FW-廖涛

■ Current conclusion

已处理，正在全编译代码。

■ Next action

验证修改并提交代码。

#5 - 2023-05-23 15:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201899 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Notification: Adapter notification sort to show.Disable keyboard layout config notification when connect a physical keyboard.TC-RID: 1201-0201902IssueID:

TS-R-BUG-118112Change-Id: I659204bd50c9f5f3bf9a9baa114a8fa49b869e90

#6 - 2023-05-23 15:49 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-23

- Root cause set to 功能未实现。

■ Current conclusion

已处理，代码已入库。

■ My analysis

功能未实现。

■ Next action

测试验证。

#7 - 2023-05-24 19:34 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/frameworks/base/packages/SystemUI/src/com/android/systemui/statusbar/notification/NotificationEntryManager.java#888
http://192.168.87.66:8006/source/xref/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/LA.QSSI/LINUX/android/frameworks/base/packages/SystemUI/src/com/android/systemui/statusbar/notification/NotificationEntryManager.java#888


- % Done changed from 0 to 100

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305240242

#8 - 2023-05-24 19:34 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
